// pages/common-setting/common-setting.js
import { baseurl } from '../../config'
const app = getApp()
Page({

  /**
   * 页面的初始数据
   */
  data: {
    version: '', // 版本号
    cancellation: false, // 显示注销账号开关
    userAgreement: encodeURIComponent(baseurl + '/uploadfile/userAgreement.html'), // 用户协议
    privacyPolicy: encodeURIComponent(baseurl + '/uploadfile/privacyPolicy.html'), // 隐私政策
  },
  // 显示注销账号弹窗
  showCancellation() {
    this.setData({
      cancellation: !this.data.cancellation
    })
  },
  // 注销账号
  cancellation() {
    wx.clearStorage({
      success: () => {
        this.setData({
          cancellation: false
        }, () => {
          wx.navigateBack({
            delta: 2
          })
        })
      }
    })
  },
  // 退出登录
  logout() {
    wx.showModal({
      title: '是否退出登录',
      cancelColor: '#888A8E',
      confirmColor: '#31364C',
      success: (res) => {
        if (res.confirm) {
          wx.clearStorage({
            success: () => {
              wx.navigateBack({
                delta: 1
              })
            },
          })
        }
      },
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function () {
    // 判断是否有获取账户信息的api 有的话取活的
    if (wx.getAccountInfoSync) {
      const info = wx.getAccountInfoSync()
      this.setData({
        version: info.miniProgram.version || app.globalData.version
      })
    } else {
      this.setData({
        version: app.globalData.version
      })
    }
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage: function () {

  }
})